@echo off
cls
SET BIOSFILE=BF9QUTK7.bin


fpt -f %BIOSFILE% -ME
if errorlevel 1 goto chksv2
afu300 %BIOSFILE% /p /b /n /x
if errorlevel 1 goto chksv
echo.
@echo Update Finish, System must power-off to have the changes take effect!
goto exit
:chksv
echo.
@echo Update Fail, Please check file is correct or Contect vendor!
goto exit

:chksv2
echo.
@echo ME no disable, Please disable ME!
@echo ME disable by follow step.
@echo 1. Into BIOS.
@echo 2. Select advanced : PCH-FW Configuration
@echo 3. Firmware Update Configuration. : Me FW Image Re-flash set Enabled.
@echo 4. Select save & Exit : Save Changes and Reset.
@echo Update bios update again.
:exit
@echo on